package futils;

import javax.swing.JOptionPane;
import javax.swing.JPasswordField;
import javax.swing.JTextField;

public class In {


    public static String getString(Object o) {
        return JOptionPane.showInputDialog(o);
    }

    public static String getPassword(String message) {
        JTextField passwordField = new JPasswordField(20);
        Object[] ob = {passwordField};
        int result =
                JOptionPane.showConfirmDialog(null,
                        ob,
                        message,
                        JOptionPane.OK_CANCEL_OPTION);
        if (result == JOptionPane.OK_OPTION)
            return passwordField.getText();

        else
            return "";

    }

    public static void main(String[] args) {
        String name = getString("please enter your name");
        int age = getInt("please enter your age");
        System.out.println("name=" + name);
        System.out.println("age=" + age);
    }

    public static boolean message(Exception e) {
        Object[] options = {"ok"};
        e.printStackTrace();
        int foo = JOptionPane.showOptionDialog(null,
                e,
                "Exception",
                JOptionPane.DEFAULT_OPTION,
                JOptionPane.ERROR_MESSAGE,
                null,
                options,
                options[0]);
        return foo == 0;
    }

    public static boolean message(String str) {
        Object[] options = {"ok"};
        int foo = JOptionPane.showOptionDialog(null,
                str,
                "Message",
                JOptionPane.DEFAULT_OPTION,
                JOptionPane.PLAIN_MESSAGE,
                null,
                options,
                options[0]);
        return foo == 0;
    }

    public static void multiPromptTest() {
        String s[] = {"tom", "dick", "harry"};
        System.out.println(multiPrompt(s,
                "select an option",
                "mutliTestDialog"));
    }

    public static Object multiPrompt(Object options[],
                                     String message,
                                     String title) {
        if (options == null) return null;
        //Object showInputDialog(Component parentComponent,
        //Object message, String title, int messageType, Icon icon,
        //Object[] selectionValues, Object initialSelectionValue)
        return JOptionPane.showInputDialog(null,
                message,
                title,
                JOptionPane.QUESTION_MESSAGE,
                null,
                options,
                options[0]);


    }

    public static boolean promptYesNo(String str) {
        Object[] options = {"yes", "no"};
        int foo = JOptionPane.showOptionDialog(null,
                str,
                "Warning",
                JOptionPane.DEFAULT_OPTION,
                JOptionPane.WARNING_MESSAGE,
                null,
                options,
                options[0]);
        return foo == 0;
    }

    public static float getFloat(Object o) {
        float f = 0;
        try {
            f =
                    Float.parseFloat(JOptionPane.showInputDialog(o));
        } catch (NumberFormatException e) {
            f =
                    getFloat(e +
                    "I need a float, try again!");
        }
        return f;
    }

    public static void rangeTest() {
        int anInt = getInt("enter a number from 1 to 10",
                1,
                10);
        System.out.println("got a value:" +
                anInt);

    }

    public static int getInt(String prompt, int lo, int hi) {
        int anInt = getInt(prompt);
        if (anInt <= hi && anInt >= lo) return anInt;
        return getInt(prompt+" your last ans:"+anInt+" was out of range");
    }

    public static int getInt(Object o) {
        int i = 0;
        try {
            i =
                    Integer.parseInt(JOptionPane.showInputDialog(o));
        } catch (NumberFormatException e) {
            i =
                    getInt(e +
                    "I need an int, try again!");
        }
        return i;
    }

    //public static double getDouble(Object o) {
    //	return Double.parseDouble(JOptionPane.showInputDialog(o));
    ///}

    public static void testGetString() {
        System.out.println("Hello " +
                getString("Please Enter your class:"));
        System.out.println("There are "
                +
                getFloat("Please Enter the number of students:")
                +
                "Students in your class");
        //System.out.println( "your grade= "+getDouble("Please Enter your grade:"));
    }
}

